package com.bonus.canteen.core.supply.purchase.domain.vo;

import com.bonus.canteen.core.utils.SysUtil;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class DrpContractDetailVO {
   @ApiModelProperty("合同明细id")
   private Long contractDetailId;
   @ApiModelProperty("原料id")
   private Long materialId;
   @ApiModelProperty("货品")
   private String materialName;
   @ApiModelProperty("货品编码")
   private String materialCode;
   @ApiModelProperty("货品类型")
   private String categoryName;
   @ApiModelProperty("单位id")
   private Long unitId;
   @ApiModelProperty("单位")
   private String unitName;
   @ApiModelProperty("规格")
   private String size;
   @ApiModelProperty("订货数量")
   private BigDecimal orderNum;
   @ApiModelProperty("单价")
   private Integer singlePrice;
   @ApiModelProperty("总金额")
   private Integer totalPrice;
   @ApiModelProperty("备注")
   private String remark;
   @ApiModelProperty("图片")
   private String imageUrl;

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public Long getContractDetailId() {
      return this.contractDetailId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public String getSize() {
      return this.size;
   }

   public BigDecimal getOrderNum() {
      return this.orderNum;
   }

   public Integer getSinglePrice() {
      return this.singlePrice;
   }

   public Integer getTotalPrice() {
      return this.totalPrice;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setContractDetailId(final Long contractDetailId) {
      this.contractDetailId = contractDetailId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setSize(final String size) {
      this.size = size;
   }

   public void setOrderNum(final BigDecimal orderNum) {
      this.orderNum = orderNum;
   }

   public void setSinglePrice(final Integer singlePrice) {
      this.singlePrice = singlePrice;
   }

   public void setTotalPrice(final Integer totalPrice) {
      this.totalPrice = totalPrice;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }
}
